Runtime

## org.eclipse.gmf.runtime.common.ui.action.global.providers
Class RevertGlobalActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
          org.eclipse.gmf.runtime.common.ui.action.global.providers.RevertGlobalActionHandler

All Implemented Interfaces:
  IGlobalActionHandler

    public class RevertGlobalActionHandler

extends AbstractGlobalActionHandler

A default global action handler for the revert retargetable action.

Constructor Summary
`RevertGlobalActionHandler()`

Method Summary
`boolean` `canHandle(IGlobalActionContext context)` Return true if the handler can handle the context
`ICommand` `getCommand(IGlobalActionContext context)` Return the ICommand for the context

Methods inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler
`getLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevertGlobalActionHandler

    public RevertGlobalActionHandler()

Method Detail

### canHandle

    public boolean canHandle(IGlobalActionContext context)

  Description copied from interface: `IGlobalActionHandler`
  Return true if the handler can handle the context

  Parameters:
    `context` - The context
  Returns:
    boolean

### getCommand

    public ICommand getCommand(IGlobalActionContext context)

  Description copied from interface: `IGlobalActionHandler`
  Return the ICommand for the context

  Parameters:
    `context` - The context
  Returns:
    ICommand

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.